[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Uninstallable Packages



On Tue, Oct 05, 1999 at 10:13:51PM +1000, Anthony Towns wrote:
> Packages with unknown dependencies:
> 
>     clanlib0-display-fbdev-dev
>     clanlib0-display-ggi-dev
>     clanlib0-display-glx
>     clanlib0-display-glx-dev
>     clanlib0-display-svgalib-dev
>     clanlib0-display-x11-dev
> 		Depends: libgl1 ; which doesn't exist

This exists in CVS.  libGL.so.1 is what is used by the latest versions of
GLX and Mesa.  I think the problem was coming up with a sane way to make
alternatives work for the purpose since libgl1 is almost certainly a
virtual package provided by Mesa, GLX, and probably commercial offerings
as well.


Compound this with Mesa and GLX merging and you've got something close to
a nightmare.  It's a release critical bug that these packages depend on
something that isn't yet available as a package however.  The packages
should be removed if the problem is not resolved by the time we're ready
to release.
-- 
Joseph Carter <knghtbrd@debian.org>             Debian GNU/Linux developer
GnuPG: 2048g/3F9C2A43 - 20F6 2261 F185 7A3E 79FC  44F9 8FF7 D7A3 DCF9 DAB3
PGP 2.6: 2048R/50BDA0ED - E8 D6 84 81 E3 A8 BB 77  8E E2 29 96 C9 44 5F BE
--------------------------------------------------------------------------
Indifference will certainly be the downfall of mankind, but who cares?

Attachment: pgpM0ScQddbfg.pgp
Description: PGP signature


Reply to: